Skip to main content
`Ctrl`+`K`

# DMPlexCreateProcessSF

Create an `PetscSF` which just has process connectivity

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexCreateProcessSF(DM dm, PetscSF sfPoint, IS *processRanks, PetscSF *sfProcess)

Collective

## Input Parameters

- dm - The `DM`

- sfPoint - The `PetscSF` which encodes point connectivity

## Output Parameters

- processRanks - A list of process neighbors, or `NULL`

- sfProcess - An `PetscSF` encoding the process connectivity, or `NULL`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscSF`, `PetscSFCreate()`, `DMPlexCreateTwoSidedProcessSF()`

## Level

developer

## Location

src/dm/impls/plex/plexrefine.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages